<template>
  <input v-model="value" type="range" :min="min" :max="max" :step="step" @change="getCurrentValue(value)" />
</template>

<script>
export default {
    props:{
        max: { type: Number, default: 36},
        min: { type: Number, default: 0},
        step: { type: Number, default: 1},
    },
    data() {
      return {
        value: '24',
        currentValue: ''
      }
    },
    mounted(){
        // console.log('this.value: ', this.value);

    },
    methods: {
        getCurrentValue(value){
            this.currentValue = value;
            this.$emit('selectAge', this.value);
        }
    },
}
</script>

<style>

</style>